package com.miya.print.utils;


import com.miya.print.BuildConfig;

public class PrintLogger {

    private static final String Tag = PrintLogger.class.getSimpleName();

    /**
     * 是否开启logcat日志输出
     */
    static boolean isOpenLogcat = true;

    /**
     * 是否开启记录本地日志文件
     */
    static boolean isOpenWriteLog = true;

    public static void log(String text) {
        if (isOpenLogcat) {
            android.util.Log.v(Tag, "-----:" + text);
        }
    }


    public static void v(String tag, String msg) {
        if (isOpenLogcat) {
            android.util.Log.v(tag, msg);
        }
    }

    public static void v(String tag, String msg, Throwable tr) {
        if (isOpenLogcat) {
            android.util.Log.v(tag, msg, tr);
        }
    }

    public static void d(String tag, String msg) {
        if (isOpenLogcat) {
            android.util.Log.d(tag, msg);
        }
    }

    public static void d(String tag, String msg, Throwable tr) {
        if (isOpenLogcat) {
            android.util.Log.d(tag, msg, tr);
        }
    }

    public static void i(String tag, String msg) {
        if (isOpenLogcat) {
            android.util.Log.i(tag, msg);
        }
    }

    public static void i(String tag, String msg, Throwable tr) {
        if (isOpenLogcat) {
            android.util.Log.i(tag, msg, tr);
        }
    }

    public static void w(String tag, String msg) {
        if (isOpenLogcat) {
            android.util.Log.w(tag, msg);
        }
    }

    public static void w(String tag, String msg, Throwable tr) {
        if (isOpenLogcat) {
            android.util.Log.w(tag, msg, tr);
        }
    }

    public static void w(String tag, Throwable tr) {
        if (isOpenLogcat) {
            android.util.Log.w(tag, tr);
        }
    }

    public static void e(String tag, String msg) {
        if (isOpenLogcat) {
            android.util.Log.e(tag, msg);
        }
    }

    public static void e(String tag, String msg, Throwable tr) {
        if (isOpenLogcat) {
            android.util.Log.e(tag, msg, tr);
        }
    }
}
